## Floor
Find the nearest integer less than or equal to the parameter

### Declaration
```glsl
float floor(float x)  
vec2 floor(vec2 x)  
vec3 floor(vec3 x)  
vec4 floor(vec4 x)
```

### Parameters
```x``` specify the value to evaluate.

### Description
```floor()``` returns a value equal to the nearest integer that is less than or equal to ```x```.

<div class="simpleFunction" data="y = floor(x); "></div>

### See Also
[ceil](index.html#ceil.md), [fract](index.html#fract.md), [mod](index.html#mod.md), [Chapter 05: Shaping Functions](../05/)